%global forgeurl https://github.com/pothosware/PothosCore
%global tag pothos-%{version}

Name:           Pothos
Version:        0.7.1
Release:        2%{?dist}
Summary:        A data-flow framework

%forgemeta

License:        Boost
URL:            %{forgeurl}/wiki
Source0:        %{forgesource}

# Tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  doxygen
# Libraries
BuildRequires:  cmake(Poco)
BuildRequires:  cmake(Spuce)
BuildRequires:  cmake(muparserx)
BuildRequires:  json-devel

%description
This is the Pothos framework library.


%package devel
Summary:        Development Files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-util%{?_isa} = %{version}-%{release}

%description devel
Headers and libraries for %{name}


%package util
Summary:        Utilities for %{name}

%description util
Tools for %{name}


%prep
%forgesetup


%build
%cmake \
	-DENABLE_TOOLKITS=OFF \
	-DPOTHOS_EXTVER="%{release}"
%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_libdir}/%{name}/modules0.7


%files
%license LICENSE_1_0.txt
%{_libdir}/lib%{name}.so.0.7
%{_libdir}/lib%{name}.so.0.7.1
%dir %{_libdir}/%{name}/modules0.7

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/%{name}

%files util
%{_bindir}/%{name}Util


%changelog
* Sat Jun 25 2022 Dave Olsthoorn <dave@bewaar.me> - 0.7.1-2
- fix devel and util package

* Sat Jun 25 2022 Dave Olsthoorn <dave@bewaar.me> - 0.7.1-1
- initial specfile

